Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

Reply
New Contributor
Posts: 3
Registered: ‎04-23-2009
My Device: Not Specified

BES Upgrade 4.1.4 => 4.1.6

Workaround :  - Windows server 2003

                     - BES 4.1.4 on a Lotus Domino 8 server

 

Hi everyone, I'am experiencing problems with the BES upgrade from a 4.1.4 version to 4.1.6. When trying to launch the installation it fails at the very beginning of the installation, the error given in the MSI install log is that the windows installer cannot find source for the product and then stop at this step.

 

The product 4.1.4 is present in the program list insttall sources are available with no permissions problems and i have check the registry to find out the paths of the installation and everything is coorect and i don't understand why it cannot find the source.

 

Everyone have an idea on how can  i move around this problem and force the installation of the 4.1.6 version ?

 

Thanks,

 

Attached  => Msi logs

 

MSI (s) (94:E4) [12:02:01:250]: Machine policy value 'DisableUserInstalls' is 0
MSI (s) (94:E4) [12:02:01:265]: File will have security applied from OpCode.
MSI (s) (94:E4) [12:02:01:312]: SOFTWARE RESTRICTION POLICY: Verifying package --> 'D:\besn416\BlackBerry Enterprise Server.msi' against software restriction policy
MSI (s) (94:E4) [12:02:01:312]: Note: 1: 2262 2: DigitalSignature 3: -2147287038
MSI (s) (94:E4) [12:02:01:312]: SOFTWARE RESTRICTION POLICY: D:\besn416\BlackBerry Enterprise Server.msi is not digitally signed
MSI (s) (94:E4) [12:02:01:312]: SOFTWARE RESTRICTION POLICY: D:\besn416\BlackBerry Enterprise Server.msi is permitted to run at the 'unrestricted' authorization level.
MSI (s) (94:E4) [12:02:01:312]: End dialog not enabled
MSI (s) (94:E4) [12:02:01:312]: Original package ==> D:\besn416\BlackBerry Enterprise Server.msi
MSI (s) (94:E4) [12:02:01:312]: Package we're running from ==> C:\WINDOWS\Installer\75fd91ab.msi
MSI (s) (94:E4) [12:02:01:343]: APPCOMPAT: looking for appcompat database entry with ProductCode '{4F02A8A9-8C94-4088-BDD2-59080ABC9BED}'.
MSI (s) (94:E4) [12:02:01:343]: APPCOMPAT: no matching ProductCode found in database.
MSI (s) (94:E4) [12:02:01:359]: MSCOREE not loaded loading copy from system32
MSI (s) (94:E4) [12:02:01:390]: Couldn't find local patch ''. Looking for it at its source.
MSI (s) (94:E4) [12:02:01:390]: Resolving Patch source.
MSI (s) (94:E4) [12:02:01:390]: User policy value 'SearchOrder' is 'nmu'
MSI (s) (94:E4) [12:02:01:390]: User policy value 'DisableMedia' is 0
MSI (s) (94:E4) [12:02:01:390]: Machine policy value 'AllowLockdownMedia' is 0
MSI (s) (94:E4) [12:02:01:390]: SOURCEMGMT: Media enabled only if package is safe.
MSI (s) (94:E4) [12:02:01:390]: SOURCEMGMT: Looking for sourcelist for product {C38568E8-6F76-4500-8A63-86934C39E529}
MSI (s) (94:E4) [12:02:01:390]: Note: 1: 1706 2: {C38568E8-6F76-4500-8A63-86934C39E529} 3: 
MSI (s) (94:E4) [12:02:01:390]: SOURCEMGMT: Failed to resolve source
MSI (s) (94:E4) [12:02:01:390]: Note: 1: 1708
MSI (s) (94:E4) [12:02:01:390]: Note: 1: 2729
MSI (s) (94:E4) [12:02:01:390]: Note: 1: 2729
MSI (s) (94:E4) [12:02:01:390]: Product: BlackBerry Enterprise Server for IBM Lotus Domino -- Installation failed.

MSI (s) (94:E4) [12:02:01:390]: MainEngineThread is returning 1612
The installation source for this product is not available.  Verify that the source exists and that you can access it.
D:\besn416\BlackBerry Enterprise Server.msi
MSI (c) (D0:F4) [12:02:01:421]: Decrementing counter to disable shutdown. If counter >= 0, shutdown will be denied.  Counter after decrement: -1
MSI (c) (D0:F4) [12:02:01:421]: MainEngineThread is returning 1612

 

 

Guru III
Posts: 32,126
Registered: ‎06-25-2008
My Device:

I'm rockin the BlackBerry PRIV, Passport, Z30, Z10, Q10, BlackBerry Mini Stereo Speaker, 64 gig PlayBook,BT Headset HS-700

My Carrier: I am on AT&T. Please edit your Personal Profile with your DEVICE TYPE, DEVICE OS and Carrier

Re: BES Upgrade 4.1.4 => 4.1.6

You might need to find your install CD or downloaded files that you installed BES with.

 




Click here to Backup the data on your BlackBerry Device! It's important, and FREE!


Click "Accept as Solution" if your problem is solved. To give thanks, click thumbs up
Click to search the Knowledge Base at BTSC and click to Read The Fabulous Manuals

BESAdmin's, please make a signature with your BES environment info.


SIM Free BlackBerry Unlocking FAQ
Follow me on Twitter @knottyrope


Want to thank me? Buy my KnottyRope App here


BES 12 and BES 5.0.4 with Exchange 2010 and SQL 2012 Hyper V


New Contributor
Posts: 3
Registered: ‎04-23-2009
My Device: Not Specified

Re: BES Upgrade 4.1.4 => 4.1.6

hi knottyrope,

 

I  install the 4.1.4 version with files who are still present on the same drive than the 4.1.6 installation files, the source files from 4.1.4 are available for the installshield.

 

The funny thing is that if i launch the 4.1.6 MSI and not the setup.exe it says tha he cannot find the source files, if i launch the 4.1.4 MSI the installer launch and don't tell me that the source are unavailable...

BlackBerry Employee
Posts: 212
Registered: ‎04-01-2008
My Device: Not Specified

Re: BES Upgrade 4.1.4 => 4.1.6

[ Edited ]

Are you trying to install from a shared network or are the files local? Also is there any pop error that occurs when installation fails? Also looks like you are seeing installer error 1706. Here is a link which might come in handy.

 

http://www.instant-registry-fixes.org/how-to-repair-windows-installer-error-1706/

 

 

Message Edited by FaceMan on 04-23-2009 12:07 PM
Forums Veteran I
Posts: 2,036
Registered: ‎12-04-2008
My Device: 8900

Re: BES Upgrade 4.1.4 => 4.1.6

I was thinking along the same lines as faceman, are they on your local machine? if not try moving them there.
******************************************************************


If someone helped you give them kudos. Research all info!
Forums Advisor I
Posts: 724
Registered: ‎07-02-2008
My Device: Z10
My Carrier: Fido

Re: BES Upgrade 4.1.4 => 4.1.6

[ Edited ]
I beleive your previos (4.1.3 or 4.1.2 etc) BES version was upgraded not with full version of 4.1.4 but with an upgrader. If you have full blown version of 4.1.4, reinstall and then run (again the best is full version of 4.1.6). If you use full versions for upgrades it won't ask you ever for anything... Had something simular issue recently and that's what fixed it.
Message Edited by bbinmyhart on 04-23-2009 12:23 PM
New Contributor
Posts: 3
Registered: ‎04-23-2009
My Device: Not Specified

Re: BES Upgrade 4.1.4 => 4.1.6

Faceman => All the sources are local, no network or cd-rom use, i try to fix and check all registry values refering to BES all the paths are correct but nothing change.

 

bbinmyhart => Good point, this is maybe the problem, the installation started from a 4.1.2 and then upgraded with BES updater for 4.1.4 and then try the 4.1.6. I'll try to grab the full 4.1.6 but not sure the source is available on Blackberry site..

 

I'll let you know if this will fix the problem.

Forums Advisor I
Posts: 724
Registered: ‎07-02-2008
My Device: Z10
My Carrier: Fido

Re: BES Upgrade 4.1.4 => 4.1.6

[ Edited ]
Try downloading trial (which is full blown version with purchased keys).
Message Edited by bbinmyhart on 04-24-2009 01:00 PM